:root {
  --color-main: #cb9b1d;
  --color-main-dark: #a4742c;
  --color-dark: #545454de;
  --color-silver: #737272;
  --color-white: #ffffff;
  --color-black: #000000;

  --aside-color: #343a40;
  --font-main: 13px;
  --font-title: 30px;
}
@font-face {
  font-family: Poppins;
  src: url("./EncodeSans-Light.ttf");
}

* {
  border: none;
  border-radius: 0;
  margin: 0;
  padding: 0;
  font-family: Poppins, sans-serif;
  font-size: var(--font-main);
  letter-spacing: 1px;
  z-index: 0;
  text-decoration: none;
  list-style: none;
  font-style: normal;
  outline: 0;
  transition: all 0.5s;
  color: var(--color-black);
  background-color: transparent;
}

::placeholder {
  color: var(--color-silver);
}

body {
  width: 100%;
  height: auto;
  overflow-x: hidden;
}

.container-body {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: row;
}

.container-body .container-aside {
  position: fixed;
  top: 0;
  left: 0;
  width: 18%;
  padding: 0px 1%;
  height: 100vh;
  background-color: var(--aside-color);
  color: var(--color-white);

  .logo {
    width: 100%;
    padding: 20px 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2%;
    text-align: end;
    align-items: end;

    font-size: 15px;
    font-weight: 700;
    color: var(--color-main);

    img {
      width: auto;
      height: 30px;
    }
  }

  .input-search {
    width: 95%;
    padding: 0 2.5%;
    height: 45px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 5% 0;
    box-shadow: rgba(255, 255, 255, 0.02) 0px 1px 3px 0px,
      rgba(179, 195, 211, 0.15) 0px 0px 0px 1px;
    input {
      width: 95%;
      padding: 0 2.5%;
      height: 100%;
      color: var(--color-silver);
    }

    i {
      font: 8px;
      cursor: pointer;
      color: var(--color-silver);
    }
  }

  nav {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    padding: 20px 0;

    ul {
      width: 100%;
      height: auto;
      display: flex;
      flex-direction: column;

      li {
        width: 100%;
        padding: 15px 0;
        display: flex;
        flex-direction: column;
        position: relative;
        cursor: pointer;
        a,
        p {
          font-size: 15px;
          color: var(--color-white);
          display: flex;
          flex-direction: row;
          align-items: center;
          gap: 3%;
          position: relative;

          i {
            font-size: 15px;
            color: var(--color-white);
          }
          .down {
            display: flex;
            font-size: 15px;
            margin-top: auto;
          }
        }

        .notif::after {
          content: attr(data-count);
          position: relative;
          top: -100%;
          left: 3%;
          width: 15px;
          height: 15px;
          border-radius: 50%;
          background-color: red;
          color: var(--color-white);
          display: flex;
          align-items: center;
          justify-content: center;
          text-align: center;

          font-size: 8px;
          font-weight: 700;
        }
        .drop {
          padding: 10px 15px 10px 15px;
          margin-top: 3%;
          display: none;
          flex-direction: column;

          a {
            padding: 10px 0;
          }
        }
        .drop.ok {
          display: flex;
        }
      }
    }
  }
}

.container-body .container-main {
  position: absolute;
  top: 0;
  right: 0;
  left: 20%;
  width: 75%;
  height: 100vh;
  padding: 50px 2.5%;
}

.container-main .title-admin {
  padding-bottom: 10px;
  font-size: var(--font-title);
  width: 100%;
  display: flex;
  flex-direction: row;
  gap: 1%;

  i {
    position: relative;
  }
  i::after {
    content: attr(data-count);
    position: relative;
    top: -15%;
    left: -30%;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: red;
    color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    font-size: 15px;
    font-weight: 700;
  }
}

.container-main .num-grid {
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 5%;
  align-items: center;
  justify-content: center;
  place-items: center;
  margin: 3% 0 1% 0;

  .card {
    width: 90%;
    height: 100px;
    padding: 5%;
    border-radius: 8px;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 1px 1px,
      rgba(9, 30, 66, 0.13) 0px 0px 1px 1px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 7%;

    span {
      display: flex;
      flex-direction: column;

      h2 {
        font-size: 25px;
      }
      p {
        font-size: 15px;
        padding: 10px 0;
      }
    }

    i {
      font-size: 30px;
    }
  }
}

.container-main .dash-chart {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: start;
  padding: 30px 0;
  gap: 3%;

  button.filter {
    width: 100px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3%;
    border: solid 1px var(--color-main);
    color: var(--color-main);
    margin-left: auto;
    cursor: pointer;
    font-weight: 700;

    i {
      color: var(--color-main);
    }
  }
  button.filter.ok {
    background-color: rgb(233, 233, 233);
    border: none;
    color: var(--color-black);

    i {
      color: var(--color-black);
    }
  }

  .section-filter {
    width: 95%;
    display: none;
    grid-template-columns: repeat(3, 1fr);
    gap: 5%;
    height: auto;
    padding: 20px 2.5%;
    background-color: rgb(233, 233, 233);

    .input-filter {
      width: 95%;
      padding: 0 2.5%;
      height: 45px;
      display: flex;
      flex-direction: row;
      align-items: center;
      margin: 5% 0;
      background-color: var(--color-white);
      box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px,
        rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
      input,
      select {
        width: 95%;
        padding: 0 2.5%;
        height: 100%;
        color: var(--color-silver);
        background-color: var(--color-white);
      }

      i {
        font: 8px;
        cursor: pointer;
      }
    }

    button {
      width: 100px;
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 3%;
      border: solid 1px var(--color-main);
      color: var(--color-main);
      cursor: pointer;
      font-weight: 700;
    }
  }

  .section-filter.ok {
    display: grid;
  }
  .list-utente {
    width: 100%;
    height: 100%;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    padding: 50px 0 20px 0;

    p {
      font-size: 15px;
      padding: 0 0 10px 0;
      font-weight: 700;
    }

    table {
      text-align: start;
      height: 100%;
    }
    table thead {
      background-color: var(--aside-color);
      color: var(--color-white);

      th {
        color: var(--color-white);
        text-align: start;
        padding: 5px;
        border-color: red;
      }
    }
    table tbody {
      td {
        background-color: rgb(248, 248, 248);
        padding: 10px;
      }
    }
    table tbody tr > :last-child {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      gap: 15%;

      i {
        font-size: 15px;
      }
      i.s {
        color: silver;
      }
      i.e {
        color: green;
      }
      i.d {
        color: red;
      }
    }
  }

  .list-utente.ut {
    padding: 40px 0;
  }
}
.container-main #graficoPedidos {
  width: 100%;
}

.container-main .section-notification {
  width: 100%;
  display: flex;
  flex-direction: column;

  ul {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;

    li {
      width: 95%;
      padding: 20px 2.5%;
      cursor: pointer;
      border-bottom: solid 1px rgb(233, 233, 233);

      span {
        width: 100%;
        height: auto;
        padding: 10px 0;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;

        p {
          font-weight: 700;
        }
      }

      p {
        font-size: 15px;
      }
    }

    li > :first-child {
      width: 100%;
      display: flex;
      margin-left: auto;
      font-size: 15px;
      height: 10px;
      a {
        display: flex;
        margin-left: auto;
        font-size: 15px;

        .close {
          color: red;
          display: none;
          margin-left: auto;
          font-size: 15px;
        }
      }
    }

    li:hover div a .close {
      display: flex;
    }
  }
}

/*CONFIGURATION*/
.form {
  width: 100%;
  height: auto;
  padding: 30px 0;

  .title-form {
    width: 98%;
    height: 40px;
    padding: 0 1%;
    display: flex;
    font-size: 20px;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: rgb(241, 241, 241);
  }

  .steps-form {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0 0 0;

    .step {
      width: 98%;
      height: 40px;
      padding: 0 1%;
      display: flex;
      align-items: center;
      text-align: center;
      cursor: pointer;
    }
    .step.active {
      background-color: rgb(241, 241, 241);
      border-top-left-radius: 10px;
      border-top-right-radius: 10px;
      border-bottom: none;
      font-weight: 700;
    }
  }

  .steps-elem {
    width: 98%;
    padding: 10px 1%;
    height: auto;
    background-color: rgb(241, 241, 241);

    .elem {
      display: none;
      flex-direction: column;
      padding: 10px;

      .container-input {
        padding: 20px 0;

        table {
          width: 100%;
          text-align: start;
          height: 100%;
        }
        table thead {
          background-color: var(--aside-color);
          color: var(--color-white);

          th {
            color: var(--color-white);
            text-align: start;
            padding: 5px;
            border-color: red;
          }
        }
        table tbody {
          td {
            background-color: rgb(248, 248, 248);
            padding: 10px;
          }
        }
        table tbody tr > :last-child {
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: center;
          gap: 15%;

          i {
            font-size: 15px;
          }
          i.s {
            color: silver;
          }
          i.e {
            color: green;
          }
          i.d {
            color: red;
          }
        }

        .input-group {
          margin-bottom: 10px;
          display: flex;
          flex-direction: column;
        }

        .input-group label {
          font-weight: 600;
          margin-bottom: 5px;
          color: var(--color-dark);
          display: flex;
          flex-direction: row;
          align-items: center;
          gap: 0.5%;

          i {
            color: red;
          }
        }

        .input-group input,
        .input-group textarea,
        select {
          padding: 12px 12px;
          border: 1px solid var(--color-silver);
          font-size: 14px;
          transition: 0.3s;
        }

        .input-group input:focus {
          outline: none;
          border-color: var(--color-main-dark);
          box-shadow: 0 0 0 2px rgba(203, 155, 29, 0.2);
        }

        button[type="submit"] {
          width: 100%;
          padding: 14px;
          border: none;
          background-color: var(--color-main);
          color: var(--color-white);
          font-weight: 600;
          font-size: 15px;
          cursor: pointer;
          transition: 0.3s;
        }

        button[type="submit"]:hover {
          background-color: var(--color-main-dark);
        }

        .error-msg {
          color: red;
          font-size: 12px;
          height: 14px;
          margin-top: 4px;
        }
      }

      .program {
        display: none;
        flex-direction: column;
        padding: 20px 0;

        .input-group {
          margin-bottom: 10px;
          display: flex;
          flex-direction: column;
        }

        .input-group label {
          font-weight: 600;
          margin-bottom: 5px;
          color: var(--color-dark);
          display: flex;
          flex-direction: row;
          align-items: center;
          gap: 0.5%;

          i {
            color: red;
          }
        }

        .input-group input,
        select {
          padding: 12px 12px;
          border: 1px solid var(--color-silver);
          font-size: 14px;
          transition: 0.3s;
        }

        .input-group input:focus {
          outline: none;
          border-color: var(--color-main-dark);
          box-shadow: 0 0 0 2px rgba(203, 155, 29, 0.2);
        }

        button[type="submit"] {
          width: 100%;
          padding: 14px;
          border: none;
          background-color: var(--color-main);
          color: var(--color-white);
          font-weight: 600;
          font-size: 15px;
          cursor: pointer;
          transition: 0.3s;
        }

        button[type="submit"]:hover {
          background-color: var(--color-main-dark);
        }

        .error-msg {
          color: red;
          font-size: 12px;
          height: 14px;
          margin-top: 4px;
        }
      }
    }
  }
  .elem.active {
    display: flex;
  }

  button {
    width: 150px;
    height: 40px;
    background-color: var(--color-main);
    color: var(--color-white);
    display: flex;
    margin-left: auto;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 2% 0 2% auto;
    cursor: pointer;
  }
}

.msg-erros {
  ul {
    li {
      padding: 5px 0;
      color: red;
    }
  }
}



/*LOGIN*/
.login-section {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login-card {
  background-color: var(--color-white);
  padding: 40px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
  max-width: 400px;
  width: 90%;
}
.login-card > :first-child {
  display: flex;
  margin-right: auto;
  font-size: 20px;
  color: var(--color-main);
  cursor: pointer;

  i {
    font-size: 20px;
    color: var(--color-main);
    cursor: pointer;
  }
}

.login-card h2 {
  text-align: center;
  font-size: 25px;
  margin-bottom: 30px;
  color: var(--color-main);
}

.input-group {
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
}

.input-group label {
  font-weight: 600;
  margin-bottom: 5px;
  color: var(--color-dark);
}

.input-group input {
  padding: 15px 12px;
  border: 1px solid var(--color-silver);
  font-size: 14px;
  transition: 0.3s;
}

.input-group input:focus {
  outline: none;
  border-color: var(--color-main-dark);
  box-shadow: 0 0 0 2px rgba(203, 155, 29, 0.2);
}

button[type="submit"] {
  width: 100%;
  padding: 14px;
  border: none;
  background-color: var(--color-main);
  color: var(--color-white);
  font-weight: 600;
  font-size: 15px;
  cursor: pointer;
  transition: 0.3s;
}

button[type="submit"]:hover {
  background-color: var(--color-main-dark);
}

.error-msg {
  color: red;
  font-size: 12px;
  height: 14px;
  margin-top: 4px;
}

.login-card .option {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 30px 0 0 0;
  justify-content: space-between;

  p {
    color: var(--color-main);
    text-decoration: underline;
  }
}